Unable to locate package zoneminder

Forum for questions and support relating to 1.33.x development only.
Post Reply
mflorezm
Posts: 3
Joined: Fri Sep 13, 2019 3:15 pm

Unable to locate package zoneminder

Post by mflorezm » Fri Sep 13, 2019 3:46 pm

Hi Guys:

I'm trying to install zoneminder on a Debian Buster that i have installed on a bananapi M2 ultra board (armhf 32 bits)

root@bananapim2ultra:~# lsb_release -a
Distributor ID: Debian
Description: Debian GNU/Linux 10 (buster)
Release: 10
Codename: buster

I already added the repository and installed the key.

deb https://zmrepo.zoneminder.com/debian/master buster/
# ZoneMinder repository

nevertheless, and even as the apt update works without no issues, the software is anot able to locate package zoneminder on buster repository.

root@bananapim2ultra:~# sudo apt update
Get:1 http://security.debian.org buster/updates InRelease [39.1 kB]
Ign:4 https://zmrepo.zoneminder.com/debian/master buster/ InRelease
Hit:6 https://zmrepo.zoneminder.com/debian/master buster/ Release
Hit:3 http://cdn-fastly.deb.debian.org/debian buster InRelease
Get:5 http://cdn-fastly.deb.debian.org/debian buster-updates InRelease [49.3 kB]
Get:7 http://cdn-fastly.deb.debian.org/debian buster-backports InRelease [46.7 kB]
Hit:2 https://apt.armbian.com buster InRelease
Get:9 http://cdn-fastly.deb.debian.org/debian buster-backports/main armhf Packages.diff/Index [27.8 kB]
Get:10 http://cdn-fastly.deb.debian.org/debian buster-backports/main armhf Packages 2019-09-13-0830.13.pdiff [264 B]
Get:11 http://cdn-fastly.deb.debian.org/debian buster-backports/main armhf Packages 2019-09-13-1414.34.pdiff [639 B]
Get:11 http://cdn-fastly.deb.debian.org/debian buster-backports/main armhf Packages 2019-09-13-1414.34.pdiff [639 B]
Fetched 164 kB in 5s (34.6 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
2 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@bananapim2ultra:~# apt-get install zoneminder
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package zoneminder
root@bananapim2ultra:~#

All your help will be appreciated.

Thanks,

Mauricio F.

mflorezm
Posts: 3
Joined: Fri Sep 13, 2019 3:15 pm

Re: Unable to locate package zoneminder

Post by mflorezm » Sat Sep 14, 2019 12:06 am

So, as there is no answer from anybody, i suppose that the problem is that there is no armhf package for debian buster? is it right? doing a search on repository the only package is:

root@bananapim2ultra:~# apt-cache search zoneminder
zoneminder-doc - ZoneMinder documentation

that is the only package that is marked as all arquitectures.

So, armhf package is just available for jessie version, and no for stretch or buster.

Does it mean that zoneminder will not work on stretch or buster when installed on armhf? or does it mean that the only path is compiling (not the easy way like you call it)?

Thanks,

bbunge
Posts: 2420
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Unable to locate package zoneminder

Post by bbunge » Wed Sep 18, 2019 11:30 am

zmrepro has the hard float package for the development version. I have not gotten it to work on Buster on a Pi. I have had success with Ubuntu 18.04 and 19.04 on the pi 3b+.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest